## dbus-sharp-legacy 0.7.0

=== debian/changelog ===
dbus-sharp-legacy (0.7.0-5ubuntu1) trusty; urgency=low

  * Reintroduce DBus# 0.7, since the new ABI is causing headaches
  * Number newly named source package to guarantee upgrades from
    files created by src:dbus-sharp 0.7.0-5

 -- Jo Shields <directhex@apebox.org>  Wed, 19 Mar 2014 17:33:27 +0000

dbus-sharp (0.7.0-5) unstable; urgency=low

  [ Iain Lane ]
  * Upload rebuild for CLR 4.0 transition
  * [b7d3bda] Convert to 3.0 (quilt)
  * [24a8a42] Standards-Version → 3.9.2, no changes required
  * [b25dedb] Exclude libc moduleref from dh_clideps consideration.
    Affected by bug #657242 in dh_clideps which causes the moduleref to fail
    to be resolved.

  [ Jo Shields ]
  * [ad1254b] Reverse the way the dllmap for libsocket is handled, by using
    libc (mapped by /etc/mono/config) the default, and remapping this to
    libsocket.so.1 on Solaris. (cherry picked from upstream commit 1561585)

 -- Iain Lane <laney@debian.org>  Tue, 24 Jan 2012 22:17:08 +0000

dbus-sharp (0.7.0-4) unstable; urgency=low

  * Cherry-pick 608328b and 76f43e6c from upstream trunk.  Fixes broken signal
    dispatch.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 04 Oct 2011 15:38:43 +1100

dbus-sharp (0.7.0-3) unstable; urgency=low

  * Upload to Sid

 -- Jo Shields <directhex@apebox.org>  Tue, 15 Feb 2011 19:06:25 +0000

dbus-sharp (0.7.0-2) experimental; urgency=low

  * [b9cc526] Fix substitution which FTBFSed with dash as sh

 -- Iain Lane <laney@ubuntu.com>  Tue, 16 Nov 2010 23:20:27 +0000

dbus-sharp (0.7.0-1) experimental; urgency=low

  * Initial release. (Closes: #598943)

 -- Mirco Bauer <meebey@debian.org>  Sun, 03 Oct 2010 15:19:44 +0200
