=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DEB_API_VERSION = 0.7
DEB_ABI_VERSION = 1.0
DEB_CLI_DIR = debian/tmp/usr/lib/cli/dbus-sharp-$(DEB_ABI_VERSION)/
DEB_DOC_DIR = $(CURDIR)/doc
DEB_LIB_FILES = $(CURDIR)/src/dbus-sharp.dll
DEB_LIBCONF_FILES = $(CURDIR)/src/dbus-sharp.dll.config
DEB_CLEAN_FILES = $(CURDIR)/src/dbus-sharp.zip $(CURDIR)/src/dbus-sharp.tree $(DEB_DOC_DIR)

override_dh_auto_configure:
	dh_auto_configure -- GMCS=/usr/bin/mono-csc

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(DEB_DOC_DIR);
	for LIB in $(DEB_LIB_FILES); do \
		mdoc update \
			-fno-assembly-versions \
			--out=$(CURDIR)/monodoc \
			$$LIB; \
		mdoc assemble \
			--format ecma \
			--out $${LIB%.dll} \
			$(DEB_DOC_DIR); \
	done

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(DEB_CLI_DIR)
	for FILE in $(DEB_LIB_FILES) $(DEB_LIBCONF_FILES); do \
		install $$FILE $(CURDIR)/$(DEB_CLI_DIR); \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(DEB_CLEAN_FILES)

override_dh_clideps:
	dh_clideps --exclude-moduleref=libc

override_dh_makeclilibs:
	dh_makeclilibs -m$(DEB_API_VERSION)

%:
	dh $@ --with cli
